LoadTypedBytes (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class LoadTypedBytes

    java.lang.Object
      org.apache.hadoop.streaming.LoadTypedBytes

All Implemented Interfaces:
  Configurable, Tool

    public class LoadTypedBytes

extends Object
implements Tool

Utility program that reads typed bytes from standard input and stores them in a sequence file for which the path is given as an argument.

Constructor Summary
`LoadTypedBytes()`
`LoadTypedBytes(Configuration conf)`

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.
`static void` | `main(String[] args)`
`int` | `run(String[] args)` The main driver for `LoadTypedBytes`.
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadTypedBytes

    public LoadTypedBytes(Configuration conf)

### LoadTypedBytes

    public LoadTypedBytes()

Method Detail

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

### run

    public int run(String[] args)
            throws Exception

  The main driver for `LoadTypedBytes`.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation